Subject: Re: [bug#41579] [PATCH 0/2] Introduce 'cc-for-target'.

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 28 May 2020 20:43:44 +0200

Hello Marius,

> To reduce duplication, the following patch introduces a 'cc-for-target'
> procedure, so one can instead do:
>
>   (string-append "CC=" ,(cc-for-target))
>
> ...and it will DTRT.

This is definitely a nice improvement! Sometimes the issue also extends
to AR and LD for instance.

This has been discussed here[1]. Maybe we should deal with that directly
in the build system, and provide suitable default values for CC, AR, LD
& friends, when cross-compiling.

Anyway, your patch is already a big improvement and it LGTM.

Thanks,

Mathieu

[1]: https://lists.gnu.org/archive/html/guix-patches/2020-05/msg00423.html